Bug 839098

Summary: Review Request: python-flask-silk - Adds silk icons to your Flask application or module, or extension
Product: [Fedora] Fedora Reporter: Paulo Andrade <paulo.cesar.pereira.de.andrade>
Component: Package ReviewAssignee: Haïkel Guémar <karlthered>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: karlthered, notting, package-review
Target Milestone: ---Flags: karlthered: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-16 10:52:53 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 839097    

Description Paulo Andrade 2012-07-10 19:07:31 EDT
Spec URL: http://fedorapeople.org/~pcpa/python-flask-silk.spec
SRPM URL: http://fedorapeople.org/~pcpa/python-flask-silk-0.1.1-1.fc18.src.rpm
Description: Adds silk icons to your Flask application or module, or extension.
Fedora Account System Username: pcpa
Comment 1 Paulo Andrade 2012-08-05 10:43:01 EDT
Update to match as close as possible comments in #839071
But there is no %check as the package is basically a
collection of icons for flask applications.

Spec URL: http://fedorapeople.org/~pcpa/python-flask-silk.spec
SRPM URL: http://fedorapeople.org/~pcpa/python-flask-silk-0.1.1-2.fc18.src.rpm
Comment 2 Paulo Andrade 2012-08-17 22:43:36 EDT
Package updated to build cleanly with mock (in a clean chroot)
instead of previously just testing with rpmbuild, on a "dirty"
rawhide system.

Updated package:
Spec URL: http://fedorapeople.org/~pcpa/python-flask-silk.spec
SRPM URL: http://fedorapeople.org/~pcpa/python-flask-silk-0.1.1-3.fc19.src.rpm
Comment 3 Paulo Andrade 2012-09-13 21:10:31 EDT
Same issue with python-setuptools as #839071

Update:
Spec URL: http://fedorapeople.org/~pcpa/python-flask-silk.spec
SRPM URL: http://fedorapeople.org/~pcpa/python-flask-silk-0.1.1-4.fc19.src.rpm
Comment 4 Haïkel Guémar 2012-09-15 05:41:33 EDT
Before the formal review:
* request upstream to add the LICENSE file in the tarball (could wait next package release)
* fix upstream url: http://github.com/sublee/flask-silk
* most important, since the main content of this package is the Silk Icon which licensed under CC-By 2.5 or CC-By 3.0, the correct content of the License field should be: BSD and CC-By 3.0 (the no endorsement clause of the CC-By 3.0 is less likely to interfere with the BSD variant used by Flask projects) 

Point 1 will be lifted by requesting the modification (a mail or ticket would be enough), Points 2 & 3 are easy fixes to the spec. As soon as it's done, package review could go forward.
Comment 5 Paulo Andrade 2012-09-15 09:15:26 EDT
Many thanks for the comment, and sorry that I asked for someone
to review the package in "scitech at lists.fedoraproject.org"
but now all is good as you took the bug for yourself :-)

I created the ticket https://github.com/sublee/flask-silk/issues/1
asking for inclusion of LICENSE (and test.py) in the tarball. The
files were 2 years old, so I also added them to the current package.

Please rum fedora-review using rawhide for the mock build as I am
submitting it for rawhide, or, assuming it will be approved, should
I ask for a f17 and f18 branch? Asking because it is build requires
of python-flask-autoindex, that is next :-)

Update:
Spec URL: http://fedorapeople.org/~pcpa/python-flask-silk.spec
SRPM URL: http://fedorapeople.org/~pcpa/python-flask-silk-0.1.1-5.fc19.src.rpm
Comment 6 Haïkel Guémar 2012-09-15 14:46:05 EDT
Since this package respect Fedora general and python specific guidelines, i hereby approve it into Fedora Packages Collection

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[-]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source2 (test.py) Source0 (Flask-Silk-0.1.1.tar.gz) Source1
     (LICENSE)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:

Rpmlint
-------
Checking: python-flask-silk-0.1.1-5.fc17.noarch.rpm
          python-flask-silk-0.1.1-5.fc17.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
python-flask-silk-0.1.1-5.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    python(abi) = 2.7
    python-flask  

Provides
--------
python-flask-silk-0.1.1-5.fc17.noarch.rpm:
    
    python-flask-silk = 0.1.1-5.fc17

MD5-sum check
-------------
http://pypi.python.org/packages/source/F/Flask-Silk/Flask-Silk-0.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : fc587b9ba02c5cb44f19aab017799d3187bcf945dfea958a94847f6160f63030
  CHECKSUM(SHA256) upstream package : fc587b9ba02c5cb44f19aab017799d3187bcf945dfea958a94847f6160f63030


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 839098
External plugins:
Comment 7 Paulo Andrade 2012-09-15 14:55:33 EDT
New Package SCM Request
=======================
Package Name: python-flask-silk
Short Description: Adds silk icons to your Flask application or module, or extension
Owners: pcpa
Branches: 
InitialCC:
Comment 8 Jon Ciesla 2012-09-16 10:18:07 EDT
Git done (by process-git-requests).
Comment 9 Paulo Andrade 2012-09-16 10:52:53 EDT
python-flask-silk has been built in rawhide.
Comment 10 Paulo Andrade 2012-11-18 08:11:15 EST
Package Change Request
======================
Package Name: python-flask-silk
New Branches: f18
Owners: pcpa
InitialCC: pcpa

It may actually be possible to make a sagemath package
update for f18, and this is one of the few missing
dependencies.
Comment 11 Jon Ciesla 2012-11-18 12:08:47 EST
Git done (by process-git-requests).
Comment 12 Fedora Update System 2012-11-18 13:36:01 EST
python-flask-silk-0.1.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-flask-silk-0.1.2-1.fc18
Comment 13 Fedora Update System 2012-11-23 02:24:05 EST
python-flask-silk-0.1.2-1.fc18 has been pushed to the Fedora 18 stable repository.